### Method

# Gio FileEnumerator get_child

since: 2.36

#### Declaration [src]

    GFile*
    g_file_enumerator_get_child (
      GFileEnumerator* enumerator,
      GFileInfo* info
    )

#### Description [src]

Return a new `GFile` which refers to the file named by `info` in the source directory of `enumerator`. This function is primarily intended to be used inside loops with g_file_enumerator_next_file().

To use this, `G_FILE_ATTRIBUTE_STANDARD_NAME` must have been listed in the attributes list used when creating the `GFileEnumerator`.

This is a convenience method that’s equivalent to:

      gchar *name = g_file_info_get_name (info);
      GFile *child = g_file_get_child (g_file_enumerator_get_container (enumr),
                                       name);

Available since: 2.36

#### Parameters

`info`

  Type: `GFileInfo`

  A `GFileInfo` gotten from `g_file_enumerator_next_file()` or the async equivalents.

  The data is owned by the caller of the method.

#### Return value

Type: `GFile`

A `GFile` for the `GFileInfo` passed it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.